#include "cdefs.h"
cint tst_globals = 0;
extern cint boolean_True;
extern cint boolean_False;
extern cint object_Undefined;
extern cptr scope_curr;
extern cint scope_global;
extern cptr scope_methods[meth_max];
extern cptr identifier_methods[meth_max];
extern cptr idstring_methods[meth_max];
extern cptr integer_methods[meth_max];
cint tst_g1;
cint tst_g2;
cint tst_g3;
cint tst_g4;

void import_tst(){
cint saved_curr;
cint t1, t2, t3, t4, t5, t6, t7, t8, t9, t10, t11, t12, t13, t14, t15, t16, t17, t18, t19, t20, t21, t22, t23, t24, t25, t26;
if (!tst_globals){
debug_set_module("tst");
saved_curr = scope_curr;scope_curr = mem_malloc(scope_methods[0]); scope_curr[0] = scope_methods;
scope_curr = scope_alloc(scope_curr, scope_global);
{
tst_g1=(t1 = (t3 = mem_malloc(idstring_methods[0]), ((cptr)t3)[0] = idstring_methods, t3), t2 = ((cptr)(((cptr)t1)[0]))[3], ((f0)t2)((cint)t1, (cint)"!opsys"));
tst_g2=(t4 = (t6 = mem_malloc(identifier_methods[0]), ((cptr)t6)[0] = identifier_methods, t6), t5 = ((cptr)(((cptr)t4)[0]))[3], ((f0)t5)((cint)t4, (cint)"Execute_command"));
tst_g3=(t7 = (t9 = mem_malloc(identifier_methods[0]), ((cptr)t9)[0] = identifier_methods, t9), t8 = ((cptr)(((cptr)t7)[0]))[3], ((f0)t8)((cint)t7, (cint)"Command_line"));
tst_g4=(t10 = (t12 = mem_malloc(integer_methods[0]), ((cptr)t12)[0] = integer_methods, t12), t11 = ((cptr)(((cptr)t10)[0]))[3], ((f0)t11)((cint)t10, (cint)"2"));
};
{
{
(t13 = (t15 = tst_g1, ((cptr)t15)[1] += 1, t15), t14 = ((cptr)(((cptr)t13)[0]))[49], ((f0)t14)((cint)t13));
};
debug_set_line_num_and_col((cint)3, (cint)1);
{
(t16 = (t18 = (t20 = tst_g2, ((cptr)t20)[1] += 1, t20), t19 = ((cptr)(((cptr)t18)[0]))[73], ((f0)t19)((cint)t18, (cint)(t21 = (t23 = (t25 = tst_g3, ((cptr)t25)[1] += 1, t25), t24 = ((cptr)(((cptr)t23)[0]))[77], ((f0)t24)((cint)t23, (cint)(t26 = tst_g4, ((cptr)t26)[1] += 1, t26))), t22 = ((cptr)(((cptr)t21)[0]))[38], ((f0)t22)((cint)t21)))), t17 = ((cptr)(((cptr)t16)[0]))[16], ((f0)t17)((cint)t16));
debug_set_line_num_and_col((cint)8, (cint)1);
};
debug_set_line_num_and_col((cint)8, (cint)1);
};
tst_globals = scope_curr;
scope_curr = saved_curr;
};
scope_import_exports(scope_curr, tst_globals);
}

extern void import_opsys();
extern cint clib_ArgC;
extern cptr clib_ArgV;
extern cptr identifier_methods[meth_max];
extern cptr procedure_methods[meth_max];

void main(cint argc, cptr argv){
  cptr f, m;
  cptr Itst, Ptst;
  cptr Iopsys, Popsys;
  clib_ArgC = argc; clib_ArgV = argv;
  interp_init();
  m = mem_malloc(identifier_methods[0]); m[0] = identifier_methods;
  Itst = identifier_alloc((cint)m, (cint)"!tst");
  m = mem_malloc(procedure_methods[0]); m[0] = procedure_methods;
  Ptst = procedure_alloc((cint)m, (cint)import_tst, (cint)Itst);
  m = mem_malloc(identifier_methods[0]); m[0] = identifier_methods;
  Iopsys = identifier_alloc((cint)m, (cint)"!opsys");
  m = mem_malloc(procedure_methods[0]); m[0] = procedure_methods;
  Popsys = procedure_alloc((cint)m, (cint)import_opsys, (cint)Iopsys);
  import_tst();
  interp_fini();
  exit(0);
};
